Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#956 closed defect (fixed)

deegree startup shows errors

Reported by: darkblueb Owned by: darkblueb
Priority: normal Milestone: OSGeoLive6.0RC1
Component: OSGeoLive Keywords: deegree java
Cc: live-demo@…

Description

user@osgeolive:/usr/local/geomoose$ JAVA_HOME=/usr/lib/jvm/default-java sh /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/bin/catalina.sh debug
Using CATALINA_BASE:   /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35
Using CATALINA_HOME:   /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35
Using CATALINA_TMPDIR: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/temp
Using JAVA_HOME:       /usr/lib/jvm/default-java
Using CLASSPATH:       /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/bin/bootstrap.jar
Initializing jdb ...
> 
> classes
Command 'classes' is not valid until the VM is started with the 'run' command
> run
run org.apache.catalina.startup.Bootstrap start
Set uncaught java.lang.Throwable
Set deferred uncaught java.lang.Throwable
> 
VM Started: java.util.logging.ErrorManager: 4
java.io.FileNotFoundException: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/logs/catalina.2012-07-22.log (Permission denied)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:212)
	at org.apache.juli.FileHandler.openWriter(FileHandler.java:374)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:99)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:90)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:525)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:515)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:460)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:286)
	at java.util.logging.LogManager$2.run(LogManager.java:285)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.readPrimordialConfiguration(LogManager.java:283)
	at java.util.logging.LogManager.getLogManager(LogManager.java:266)
	at java.util.logging.Logger.<init>(Logger.java:252)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1136)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1133)
	at java.util.logging.LogManager$1.run(LogManager.java:198)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.<clinit>(LogManager.java:175)
	at java.util.logging.Logger.getLogger(Logger.java:327)
	at org.apache.juli.logging.DirectJDKLog.<init>(DirectJDKLog.java:71)
	at org.apache.juli.logging.DirectJDKLog.getInstance(DirectJDKLog.java:178)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:171)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:243)
	at org.apache.juli.logging.LogFactory.getLog(LogFactory.java:298)
	at org.apache.catalina.startup.Bootstrap.<clinit>(Bootstrap.java:55)
java.util.logging.ErrorManager: 4
java.io.FileNotFoundException: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/logs/localhost.2012-07-22.log (Permission denied)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:212)
	at org.apache.juli.FileHandler.openWriter(FileHandler.java:374)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:99)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:90)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:525)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:515)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:460)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:286)
	at java.util.logging.LogManager$2.run(LogManager.java:285)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.readPrimordialConfiguration(LogManager.java:283)
	at java.util.logging.LogManager.getLogManager(LogManager.java:266)
	at java.util.logging.Logger.<init>(Logger.java:252)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1136)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1133)
	at java.util.logging.LogManager$1.run(LogManager.java:198)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.<clinit>(LogManager.java:175)
	at java.util.logging.Logger.getLogger(Logger.java:327)
	at org.apache.juli.logging.DirectJDKLog.<init>(DirectJDKLog.java:71)
	at org.apache.juli.logging.DirectJDKLog.getInstance(DirectJDKLog.java:178)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:171)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:243)
	at org.apache.juli.logging.LogFactory.getLog(LogFactory.java:298)
	at org.apache.catalina.startup.Bootstrap.<clinit>(Bootstrap.java:55)
java.util.logging.ErrorManager: 4
java.io.FileNotFoundException: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/logs/manager.2012-07-22.log (Permission denied)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:212)
	at org.apache.juli.FileHandler.openWriter(FileHandler.java:374)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:99)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:90)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:525)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:515)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:460)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:286)
	at java.util.logging.LogManager$2.run(LogManager.java:285)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.readPrimordialConfiguration(LogManager.java:283)
	at java.util.logging.LogManager.getLogManager(LogManager.java:266)
	at java.util.logging.Logger.<init>(Logger.java:252)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1136)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1133)
	at java.util.logging.LogManager$1.run(LogManager.java:198)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.<clinit>(LogManager.java:175)
	at java.util.logging.Logger.getLogger(Logger.java:327)
	at org.apache.juli.logging.DirectJDKLog.<init>(DirectJDKLog.java:71)
	at org.apache.juli.logging.DirectJDKLog.getInstance(DirectJDKLog.java:178)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:171)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:243)
	at org.apache.juli.logging.LogFactory.getLog(LogFactory.java:298)
	at org.apache.catalina.startup.Bootstrap.<clinit>(Bootstrap.java:55)
java.util.logging.ErrorManager: 4
java.io.FileNotFoundException: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/logs/host-manager.2012-07-22.log (Permission denied)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:212)
	at org.apache.juli.FileHandler.openWriter(FileHandler.java:374)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:99)
	at org.apache.juli.FileHandler.<init>(FileHandler.java:90)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:525)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:515)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:460)
	at org.apache.juli.ClassLoaderLogManager.readConfiguration(ClassLoaderLogManager.java:286)
	at java.util.logging.LogManager$2.run(LogManager.java:285)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.readPrimordialConfiguration(LogManager.java:283)
	at java.util.logging.LogManager.getLogManager(LogManager.java:266)
	at java.util.logging.Logger.<init>(Logger.java:252)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1136)
	at java.util.logging.LogManager$RootLogger.<init>(LogManager.java:1133)
	at java.util.logging.LogManager$1.run(LogManager.java:198)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.util.logging.LogManager.<clinit>(LogManager.java:175)
	at java.util.logging.Logger.getLogger(Logger.java:327)
	at org.apache.juli.logging.DirectJDKLog.<init>(DirectJDKLog.java:71)
	at org.apache.juli.logging.DirectJDKLog.getInstance(DirectJDKLog.java:178)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:171)
	at org.apache.juli.logging.LogFactory.getInstance(LogFactory.java:243)
	at org.apache.juli.logging.LogFactory.getLog(LogFactory.java:298)
	at org.apache.catalina.startup.Bootstrap.<clinit>(Bootstrap.java:55)
Jul 22, 2012 10:05:53 PM org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: /usr/java/packages/lib/i386:/usr/lib/i386-linux-gnu/jni:/lib/i386-linux-gnu:/usr/lib/i386-linux-gnu:/usr/lib/jni:/lib:/usr/lib
Jul 22, 2012 10:05:53 PM org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8033
Jul 22, 2012 10:05:53 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 1757 ms
Jul 22, 2012 10:05:54 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Jul 22, 2012 10:05:54 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.35
Jul 22, 2012 10:05:54 PM org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor host-manager.xml
Jul 22, 2012 10:05:54 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/host-manager is unusable.
Jul 22, 2012 10:05:54 PM org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor manager.xml
Jul 22, 2012 10:05:54 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/manager is unusable.
Jul 22, 2012 10:05:54 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory deegree-webservices
Jul 22, 2012 10:05:55 PM com.sun.faces.config.ConfigureListener contextInitialized
INFO: Initializing Mojarra 2.0.6 (FCS FCS) for context '/deegree-webservices'
Jul 22, 2012 10:05:58 PM com.sun.faces.config.ConfigureListener$WebConfigResourceMonitor$Monitor <init>
INFO: Monitoring jndi:/localhost/deegree-webservices/WEB-INF/faces-config.xml for modifications
Jul 22, 2012 10:05:58 PM com.sun.jersey.api.core.PackagesResourceConfig init
INFO: Scanning for root resource and provider classes in the packages:
  org.deegree.services
Jul 22, 2012 10:05:58 PM com.sun.jersey.api.core.ScanningResourceConfig logClasses
INFO: Root resource classes found:
  class org.deegree.services.wps.wsdl.WSDLResource
Jul 22, 2012 10:05:58 PM com.sun.jersey.api.core.ScanningResourceConfig logClasses
INFO: Provider classes found:
  class org.deegree.services.wps.wsdl.WSDLWriter
Jul 22, 2012 10:05:59 PM com.sun.jersey.server.impl.application.WebApplicationImpl _initiate
INFO: Initiating Jersey application, version 'Jersey: 1.5 01/14/2011 12:36 PM'
[22:06:00]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:00]  INFO: [OGCFrontController]    _
[22:06:00]  INFO: [OGCFrontController]  _| | ___  ___  ___  _ _  ___  ___  3
[22:06:00]  INFO: [OGCFrontController] / . |/ ._>/ ._>/ . || '_>/ ._>/ ._>
[22:06:00]  INFO: [OGCFrontController] \___|\___.\___.\_. ||_|  \___.\___.
[22:06:00]  INFO: [OGCFrontController]                <___'
[22:06:00]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:00]  INFO: [OGCFrontController] deegree modules
[22:06:00]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:00]  INFO: [OGCFrontController] 
[22:06:01] ERROR: [Reflections] could not create Vfs.Dir from url. ignoring the exception and continuing
org.reflections.ReflectionsException: could not create Vfs.Dir from url, no matching UrlType was found [file:/usr/lib/i386-linux-gnu/jni/libatk-wrapper.so.0.0.18]
either use fromURL(final URL url, final List<UrlType> urlTypes) or use the static setDefaultURLTypes(final List<UrlType> urlTypes) or addDefaultURLTypes(UrlType urlType) with your specialized UrlType.
	at org.reflections.vfs.Vfs.fromURL(Vfs.java:104)
	at org.reflections.vfs.Vfs.fromURL(Vfs.java:89)
	at org.reflections.Reflections.scan(Reflections.java:136)
	at org.reflections.Reflections.<init>(Reflections.java:91)
	at org.deegree.commons.modules.ModuleInfo.extractModuleInfo(ModuleInfo.java:221)
	at org.deegree.commons.modules.ModuleInfo.extractModulesInfo(ModuleInfo.java:192)
	at org.deegree.commons.modules.ModuleInfo.<clinit>(ModuleInfo.java:82)
	at org.deegree.services.controller.OGCFrontController.init(OGCFrontController.java:1007)
	at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1206)
	at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1026)
	at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:4421)
	at org.apache.catalina.core.StandardContext.start(StandardContext.java:4734)
	at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:799)
	at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779)
	at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:601)
	at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1079)
	at org.apache.catalina.startup.HostConfig.deployDirectories(HostConfig.java:1002)
	at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:506)
	at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1317)
	at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:324)
	at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142)
	at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1065)
	at org.apache.catalina.core.StandardHost.start(StandardHost.java:840)
	at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1057)
	at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463)
	at org.apache.catalina.core.StandardService.start(StandardService.java:525)
	at org.apache.catalina.core.StandardServer.start(StandardServer.java:754)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:595)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-annotations-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-base-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-coverage-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-cs-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-filterfunctions-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-geometry-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-layer-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-metadata-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-rendering-2d-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-style-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-theme-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-core-tile-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-featurestore-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-featurestore-memory-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-featurestore-shape-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-featurestore-simplesql-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-featurestore-sql-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-javacheck-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-jsf-console-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-jsf-core-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-layers-coverage-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-layers-remotewms-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-layers-tile-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-mdstore-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-mdstore-iso-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-ogcschemas-20110513 (svn revision 20110826-1648 build@20110826-1648 by markus)
[22:06:02]  INFO: [OGCFrontController] - deegree-protocol-wms-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-remoteows-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-remoteows-wms-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-config-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-csw-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-wfs-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-wms-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-services-wps-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-sqldialect-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-sqldialect-postgis-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-themes-remotewms-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-tilestore-commons-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-tilestore-geotiff-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-tomcat-3.2-pre3 (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] - deegree-webservices (svn revision 32612 build@20111219-1824 by hudson)
[22:06:02]  INFO: [OGCFrontController] 
[22:06:02]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:02]  INFO: [OGCFrontController] System info
[22:06:02]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:02]  INFO: [OGCFrontController] 
[22:06:02]  INFO: [OGCFrontController] - java version       1.7.0_03 (Oracle Corporation)
[22:06:02]  INFO: [OGCFrontController] - operating system   Linux (3.2.0-26-generic, i386)
[22:06:02]  INFO: [OGCFrontController] - webapp path        /deegree-webservices
[22:06:02]  INFO: [OGCFrontController] - default encoding   UTF-8
[22:06:02]  INFO: [OGCFrontController] - system encoding    UTF-8
[22:06:02]  INFO: [OGCFrontController] - temp directory     /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/temp
[22:06:02]  INFO: [OGCFrontController] 
[22:06:02]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:02]  INFO: [OGCFrontController] Initializing workspace
[22:06:02]  INFO: [OGCFrontController] --------------------------------------------------------------------------------
[22:06:02]  INFO: [OGCFrontController] 
[22:06:02]  INFO: [OGCFrontController] - deegree workspace root  /usr/local/bin/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/webapps/deegree-webservices/resources/deegree-workspaces
[22:06:02]  WARN: [OGCFrontController] *** The workspace root is not writable. ***
[22:06:02]  WARN: [OGCFrontController] *** This will lead to problems when you'll try to download workspaces. ***
[22:06:02]  INFO: [OGCFrontController] Using default workspace (WEB-INF/workspace_name does not exist)
[22:06:02]  INFO: [OGCFrontController] Active workspace in webapp.
[22:06:02]  INFO: [OGCFrontController] Using workspace 'default(external)' at '/usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/webapps/deegree-webservices/WEB-INF/workspace'
[22:06:02]  INFO: [DeegreeWorkspace] Not loading additional modules.
[22:06:02]  INFO: [CRSManager] --------------------------------------------------------------------------------
[22:06:02]  INFO: [CRSManager] No 'crs' directory -- use default configuration.
[22:06:02]  INFO: [CRSManager] --------------------------------------------------------------------------------
[22:06:02]  INFO: [CRSManager] Setting up crs store 'default' from file 'file:/usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/webapps/deegree-webservices/WEB-INF/lib/deegree-core-cs-3.2-pre3.jar!/org/deegree/cs/persistence/default.xml'...
[22:06:03]  INFO: [CRSManager] Registering global crs store with id 'default', type: 'org.deegree.cs.persistence.deegree.d3.DeegreeCRSStore'
[22:06:03]  INFO: [ProxyUtils] No 'proxy.xml' file -- skipping set up of proxy configuration.
[22:06:03]  INFO: [JDBCParamsManager] Found and loaded org.h2.Driver
[22:06:03]  INFO: [JDBCParamsManager] Found and loaded org.postgresql.Driver
[22:06:03]  INFO: [AbstractResourceManager] No 'jdbc/' directory -- skipping initialization of jdbc params.
[22:06:03]  INFO: [ConnectionManager] No 'jdbc' connections defined -- skipping initialization of JDBC connection pools.
[22:06:03]  INFO: [CRSManager] Could not set up CRS stores: CRS workspace directory /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/webapps/deegree-webservices/WEB-INF/workspace/crs is null or does not exist.
[22:06:03]  INFO: [FunctionManager] Loading functions...
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/metadata/' directory -- skipping initialization of metadata stores.
[22:06:04]  INFO: [SecurityConfiguration] No security.xml found.
[22:06:04]  INFO: [AbstractResourceManager] No 'services/' directory -- skipping initialization of service metadata.
[22:06:04]  INFO: [AbstractResourceManager] No 'styles/' directory -- skipping initialization of styles.
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/coverage/' directory -- skipping initialization of coverage stores.
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/remoteows' directory -- skipping initialization of remote OWS stores.
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/tile/' directory -- skipping initialization of tile stores.
[22:06:04]  INFO: [AbstractResourceManager] No 'layers/' directory -- skipping initialization of layers.
[22:06:04]  INFO: [AbstractResourceManager] No 'themes/' directory -- skipping initialization of themes.
[22:06:04]  INFO: [BBoxPropertiesCache] File '/usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/webapps/deegree-webservices/WEB-INF/workspace/datasources/feature/bbox_cache.properties' does not exist. Will be created as needed.
[22:06:04]  INFO: [TempFileManager] Using '/usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/temp/deegree-64751adf-b100-443e-bfe2-fff82f761fe6' for storing temporary files.
[22:06:04]  INFO: [FeatureStoreManager] Using '/usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/temp/deegree-64751adf-b100-443e-bfe2-fff82f761fe6/lockdb' for h2 lock database.
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/feature/' directory -- skipping initialization of feature stores.
[22:06:04]  INFO: [AbstractResourceManager] No 'datasources/remoteows' directory -- skipping initialization of remote OWS stores.
[22:06:04]  INFO: [AbstractResourceManager] No 'processes' directory -- skipping initialization of processes.
[22:06:04]  INFO: [CSWProvider] Init CSW Provider
[22:06:04]  INFO: [WebServicesConfiguration] No 'services/' directory -- skipping initialization of web services.
J[22:06:04]  INFO: [OGCFrontContrul 22, 2012 9:06:04 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/deegree-webservices is unusable.
oller] 
[22:06:04]  WARN: [JAXBUtils] Not fixing JAXB classloader leaks. Code needs updating.
[22:06:04]  INFO: [ConfigServlet] deegree 3 configuration servlet started.
Jul 22, 2012 9:06:04 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory docs
Jul 22, 2012 9:06:04 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/docs is unusable.
Jul 22, 2012 9:06:04 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory examples
Jul 22, 2012 9:06:04 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/examples is unusable.
Jul 22, 2012 9:06:04 PM org.apache.catalina.startup.HostConfig deployDirectory
INFO: Deploying web application directory ROOT
Jul 22, 2012 9:06:04 PM org.apache.jasper.EmbeddedServletOptions <init>
SEVERE: The scratchDir you specified: /usr/local/lib/deegree-webservices-3.2-pre3_apache-tomcat-6.0.35/work/Catalina/localhost/_ is unusable.
Jul 22, 2012 9:06:04 PM org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8033
Jul 22, 2012 9:06:05 PM org.apache.jk.common.ChannelSocket init
INFO: Port busy 8009 java.net.BindException: Address already in use
Jul 22, 2012 9:06:05 PM org.apache.jk.common.ChannelSocket init
SEVERE: Can't find free port 8009 8009
Jul 22, 2012 9:06:05 PM org.apache.jk.server.JkMain start
INFO: Jk running ID=0 time=0/60  config=null
Jul 22, 2012 9:06:05 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 11170 ms

Change history (5)

comment:1 Changed 7 years ago by darkblueb

Keywords: java added

comment:2 Changed 7 years ago by markusschneider

Owner: changed from live-demo@… to darkblueb

First of all, would it be possible to switch to the latest 3.2-pre release? It can be found at [1].

The installation chapter in our new handbook [2] has some information that may be interesting. Also, the follow-up chapter [3] may be interesting, as it provides an initial walk-through to get new users in touch with what deegree 3 can do.

Some tips for the integration in the Live DVD:

  • A deegree webservices installation needs a directory where it can store it's configurations (workspaces) and some global information (e.g. the active workspace, proxy settings)
  • Use the environment variable DEEGREE_WORKSPACE_ROOT to assign this directory. If it is not set, it defaults to ~/.deegree. Probably this is the Tomcat user in case of the Live DVD.
  • I suggest to include the four demo workspaces ([3]) in this directory as well, so people don't need to download them.
  • When is the latest date to provide changes? I would love to see the new handbook [4] on the DVD, but we're still working hard on it. Some chapters are still unusable.

Don't hesitate to contact the devel list if you have more questions.

[1] http://www.deegree.org/Download [2] http://download.deegree.org/documentation/3.2-pre8/html/installation.html [3] http://download.deegree.org/documentation/3.2-pre8/html/lightly.html [4] http://www.deegree.org/Documentation

comment:3 Changed 7 years ago by kalxas

Priority: majornormal

Thanks Markus for the help. Fixed now in rev [8375] Keeping this open until next build

comment:4 Changed 7 years ago by kalxas

Resolution: fixed
Status: newclosed

fix confirmed in beta5

comment:5 Changed 7 years ago by hamish

Cc: live-demo@… added

please move the ML email addr from the owner field if you take ownership of a ticket so it doesn't get lost

Note: See TracTickets for help on using tickets.